1. Packages
  2. Gcore Provider
  3. API Docs
  4. getCdnResourceRule
Viewing docs for gcore 2.0.0-alpha.2
published on Tuesday, Mar 24, 2026 by g-core
gcore logo
Viewing docs for gcore 2.0.0-alpha.2
published on Tuesday, Mar 24, 2026 by g-core

    CDN resource rules set custom caching, delivery, and security options for specific URL patterns or file types.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as gcore from "@pulumi/gcore";
    
    const exampleCdnResourceRule = gcore.getCdnResourceRule({
        resourceId: 0,
        ruleId: 0,
    });
    
    import pulumi
    import pulumi_gcore as gcore
    
    example_cdn_resource_rule = gcore.get_cdn_resource_rule(resource_id=0,
        rule_id=0)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-terraform-provider/sdks/go/gcore/v2/gcore"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := gcore.LookupCdnResourceRule(ctx, &gcore.LookupCdnResourceRuleArgs{
    			ResourceId: 0,
    			RuleId:     0,
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Gcore = Pulumi.Gcore;
    
    return await Deployment.RunAsync(() => 
    {
        var exampleCdnResourceRule = Gcore.GetCdnResourceRule.Invoke(new()
        {
            ResourceId = 0,
            RuleId = 0,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.gcore.GcoreFunctions;
    import com.pulumi.gcore.inputs.GetCdnResourceRuleArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var exampleCdnResourceRule = GcoreFunctions.getCdnResourceRule(GetCdnResourceRuleArgs.builder()
                .resourceId(0)
                .ruleId(0)
                .build());
    
        }
    }
    
    variables:
      exampleCdnResourceRule:
        fn::invoke:
          function: gcore:getCdnResourceRule
          arguments:
            resourceId: 0
            ruleId: 0
    

    Using getCdnResourceRule

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getCdnResourceRule(args: GetCdnResourceRuleArgs, opts?: InvokeOptions): Promise<GetCdnResourceRuleResult>
    function getCdnResourceRuleOutput(args: GetCdnResourceRuleOutputArgs, opts?: InvokeOptions): Output<GetCdnResourceRuleResult>
    def get_cdn_resource_rule(resource_id: Optional[float] = None,
                              rule_id: Optional[float] = None,
                              opts: Optional[InvokeOptions] = None) -> GetCdnResourceRuleResult
    def get_cdn_resource_rule_output(resource_id: Optional[pulumi.Input[float]] = None,
                              rule_id: Optional[pulumi.Input[float]] = None,
                              opts: Optional[InvokeOptions] = None) -> Output[GetCdnResourceRuleResult]
    func LookupCdnResourceRule(ctx *Context, args *LookupCdnResourceRuleArgs, opts ...InvokeOption) (*LookupCdnResourceRuleResult, error)
    func LookupCdnResourceRuleOutput(ctx *Context, args *LookupCdnResourceRuleOutputArgs, opts ...InvokeOption) LookupCdnResourceRuleResultOutput

    > Note: This function is named LookupCdnResourceRule in the Go SDK.

    public static class GetCdnResourceRule 
    {
        public static Task<GetCdnResourceRuleResult> InvokeAsync(GetCdnResourceRuleArgs args, InvokeOptions? opts = null)
        public static Output<GetCdnResourceRuleResult> Invoke(GetCdnResourceRuleInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetCdnResourceRuleResult> getCdnResourceRule(GetCdnResourceRuleArgs args, InvokeOptions options)
    public static Output<GetCdnResourceRuleResult> getCdnResourceRule(GetCdnResourceRuleArgs args, InvokeOptions options)
    
    fn::invoke:
      function: gcore:index/getCdnResourceRule:getCdnResourceRule
      arguments:
        # arguments dictionary

    The following arguments are supported:

    ResourceId double
    RuleId double
    ResourceId float64
    RuleId float64
    resourceId Double
    ruleId Double
    resourceId number
    ruleId number
    resource_id float
    rule_id float
    resourceId Number
    ruleId Number

    getCdnResourceRule Result

    The following output properties are available:

    Active bool
    Enables or disables a rule.
    Deleted bool
    Id double
    Name string
    Options GetCdnResourceRuleOptions
    OriginGroup double
    OriginProtocol string
    OverrideOriginProtocol string
    PresetApplied bool
    PrimaryRule double
    ResourceId double
    Rule string
    RuleId double
    RuleType double
    Weight double
    Active bool
    Enables or disables a rule.
    Deleted bool
    Id float64
    Name string
    Options GetCdnResourceRuleOptions
    OriginGroup float64
    OriginProtocol string
    OverrideOriginProtocol string
    PresetApplied bool
    PrimaryRule float64
    ResourceId float64
    Rule string
    RuleId float64
    RuleType float64
    Weight float64
    active Boolean
    Enables or disables a rule.
    deleted Boolean
    id Double
    name String
    options GetCdnResourceRuleOptions
    originGroup Double
    originProtocol String
    overrideOriginProtocol String
    presetApplied Boolean
    primaryRule Double
    resourceId Double
    rule String
    ruleId Double
    ruleType Double
    weight Double
    active boolean
    Enables or disables a rule.
    deleted boolean
    id number
    name string
    options GetCdnResourceRuleOptions
    originGroup number
    originProtocol string
    overrideOriginProtocol string
    presetApplied boolean
    primaryRule number
    resourceId number
    rule string
    ruleId number
    ruleType number
    weight number
    active Boolean
    Enables or disables a rule.
    deleted Boolean
    id Number
    name String
    options Property Map
    originGroup Number
    originProtocol String
    overrideOriginProtocol String
    presetApplied Boolean
    primaryRule Number
    resourceId Number
    rule String
    ruleId Number
    ruleType Number
    weight Number

    Supporting Types

    GetCdnResourceRuleOptions

    AllowedHttpMethods GetCdnResourceRuleOptionsAllowedHttpMethods
    HTTP methods allowed for content requests from the CDN.
    BotProtection GetCdnResourceRuleOptionsBotProtection
    Allows to prevent online services from overloading and ensure your business workflow running smoothly.
    BrotliCompression GetCdnResourceRuleOptionsBrotliCompression
    Compresses content with Brotli on the CDN side. CDN servers will request only uncompressed content from the origin.
    BrowserCacheSettings GetCdnResourceRuleOptionsBrowserCacheSettings

    Cache expiration time for users browsers in seconds.

    Cache expiration time is applied to the following response codes: 200, 201, 204, 206, 301, 302, 303, 304, 307, 308.

    Responses with other codes will not be cached.

    CacheHttpHeaders GetCdnResourceRuleOptionsCacheHttpHeaders

    Legacy option. Use the response_headers_hiding_policy option instead.

    HTTP Headers that must be included in the response.

    Deprecated: Deprecated

    Cors GetCdnResourceRuleOptionsCors

    Enables or disables CORS (Cross-Origin Resource Sharing) header support.

    CORS header support allows the CDN to add the Access-Control-Allow-Origin header to a response to a browser.

    CountryAcl GetCdnResourceRuleOptionsCountryAcl
    Enables control access to content for specified countries.
    DisableCache GetCdnResourceRuleOptionsDisableCache

    Legacy option. Use the edge_cache_settings option instead.

    Allows the complete disabling of content caching.

    Deprecated: Deprecated

    DisableProxyForceRanges GetCdnResourceRuleOptionsDisableProxyForceRanges
    Allows 206 responses regardless of the settings of an origin source.
    EdgeCacheSettings GetCdnResourceRuleOptionsEdgeCacheSettings

    Cache expiration time for CDN servers.

    value and default fields cannot be used simultaneously.

    Fastedge GetCdnResourceRuleOptionsFastedge

    Allows to configure FastEdge app to be called on different request/response phases.

    Note: At least one of on_request_headers, on_request_body, on_response_headers, or on_response_body must be specified.

    FetchCompressed GetCdnResourceRuleOptionsFetchCompressed

    Makes the CDN request compressed content from the origin.

    The origin server should support compression. CDN servers will not decompress your content even if a user browser does not accept compression.

    Notes:

    1. fetch_compressed is not supported with gzipON or brotli_compression or slice options enabled.
    2. fetch_compressed overrides gzipON and brotli_compression in rule. If you enable it in CDN resource and want to use gzipON and brotli_compression in a rule, you have to specify <span pulumi-lang-nodejs=""fetchCompressed"" pulumi-lang-dotnet=""FetchCompressed"" pulumi-lang-go=""fetchCompressed"" pulumi-lang-python=""fetch_compressed"" pulumi-lang-yaml=""fetchCompressed"" pulumi-lang-java=""fetchCompressed"">"fetch_compressed"</span>: false in the rule.
    FollowOriginRedirect GetCdnResourceRuleOptionsFollowOriginRedirect
    Enables redirection from origin. If the origin server returns a redirect, the option allows the CDN to pull the requested content from the origin server that was returned in the redirect.
    ForceReturn GetCdnResourceRuleOptionsForceReturn

    Applies custom HTTP response codes for CDN content.

    The following codes are reserved by our system and cannot be specified in this option: 408, 444, 477, 494, 495, 496, 497, 499.

    ForwardHostHeader GetCdnResourceRuleOptionsForwardHostHeader

    Forwards the Host header from a end-user request to an origin server.

    hostHeader and forward_host_header options cannot be enabled simultaneously.

    GzipOn GetCdnResourceRuleOptionsGzipOn

    Compresses content with gzip on the CDN end. CDN servers will request only uncompressed content from the origin.

    Notes:

    1. Compression with gzip is not supported with fetch_compressed or slice options enabled.
    2. fetch_compressed option in CDN resource settings overrides gzipON in rules. If you enable fetch_compressed in CDN resource and want to enable gzipON in rules, you need to specify <span pulumi-lang-nodejs=""fetchCompressed"" pulumi-lang-dotnet=""FetchCompressed"" pulumi-lang-go=""fetchCompressed"" pulumi-lang-python=""fetch_compressed"" pulumi-lang-yaml=""fetchCompressed"" pulumi-lang-java=""fetchCompressed"">"fetch_compressed"</span>:false for rules.
    HostHeader GetCdnResourceRuleOptionsHostHeader

    Sets the Host header that CDN servers use when request content from an origin server. Your server must be able to process requests with the chosen header.

    If the option is null, the Host Header value is equal to first CNAME.

    hostHeader and forward_host_header options cannot be enabled simultaneously.

    IgnoreCookie GetCdnResourceRuleOptionsIgnoreCookie
    Defines whether the files with the Set-Cookies header are cached as one file or as different ones.
    IgnoreQueryString GetCdnResourceRuleOptionsIgnoreQueryString

    How a file with different query strings is cached: either as one object (option is enabled) or as different objects (option is disabled.)

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    ImageStack GetCdnResourceRuleOptionsImageStack
    Transforms JPG and PNG images (for example, resize or crop) and automatically converts them to WebP or AVIF format.
    IpAddressAcl GetCdnResourceRuleOptionsIpAddressAcl

    Controls access to the CDN resource content for specific IP addresses.

    If you want to use IPs from our CDN servers IP list for IP ACL configuration, you have to independently monitor their relevance.

    We recommend you use a script for automatically update IP ACL. Read more.

    LimitBandwidth GetCdnResourceRuleOptionsLimitBandwidth
    Allows to control the download speed per connection.
    ProxyCacheKey GetCdnResourceRuleOptionsProxyCacheKey

    Allows you to modify your cache key. If omitted, the default value is $request_uri.

    Combine the specified variables to create a key for caching.

    • $request_uri
    • $scheme
    • $uri

    Warning: Enabling and changing this option can invalidate your current cache and affect the cache hit ratio. Furthermore, the "Purge by pattern" option will not work.

    ProxyCacheMethodsSet GetCdnResourceRuleOptionsProxyCacheMethodsSet
    Caching for POST requests along with default GET and HEAD.
    ProxyConnectTimeout GetCdnResourceRuleOptionsProxyConnectTimeout
    The time limit for establishing a connection with the origin.
    ProxyReadTimeout GetCdnResourceRuleOptionsProxyReadTimeout

    The time limit for receiving a partial response from the origin. If no response is received within this time, the connection will be closed.

    Note: When used with a WebSocket connection, this option supports values only in the range 1–20 seconds (instead of the usual 1–30 seconds).

    QueryParamsBlacklist GetCdnResourceRuleOptionsQueryParamsBlacklist

    Files with the specified query parameters are cached as one object, files with other parameters are cached as different objects.

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    QueryParamsWhitelist GetCdnResourceRuleOptionsQueryParamsWhitelist

    Files with the specified query parameters are cached as different objects, files with other parameters are cached as one object.

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    QueryStringForwarding GetCdnResourceRuleOptionsQueryStringForwarding
    The Query String Forwarding feature allows for the seamless transfer of parameters embedded in playlist files to the corresponding media chunk files. This functionality ensures that specific attributes, such as authentication tokens or tracking information, are consistently passed along from the playlist manifest to the individual media segments. This is particularly useful for maintaining continuity in security, analytics, and any other parameter-based operations across the entire media delivery workflow.
    RedirectHttpToHttps GetCdnResourceRuleOptionsRedirectHttpToHttps

    Enables redirect from HTTP to HTTPS.

    redirect_http_to_https and redirect_https_to_http options cannot be enabled simultaneously.

    RedirectHttpsToHttp GetCdnResourceRuleOptionsRedirectHttpsToHttp

    Enables redirect from HTTPS to HTTP.

    redirect_http_to_https and redirect_https_to_http options cannot be enabled simultaneously.

    ReferrerAcl GetCdnResourceRuleOptionsReferrerAcl
    Controls access to the CDN resource content for specified domain names.
    RequestLimiter GetCdnResourceRuleOptionsRequestLimiter
    Option allows to limit the amount of HTTP requests.
    ResponseHeadersHidingPolicy GetCdnResourceRuleOptionsResponseHeadersHidingPolicy
    Hides HTTP headers from an origin server in the CDN response.
    Rewrite GetCdnResourceRuleOptionsRewrite
    Changes and redirects requests from the CDN to the origin. It operates according to the Nginx configuration.
    SecureKey GetCdnResourceRuleOptionsSecureKey
    Configures access with tokenized URLs. This makes impossible to access content without a valid (unexpired) token.
    Slice GetCdnResourceRuleOptionsSlice

    Requests and caches files larger than 10 MB in parts (no larger than 10 MB per part.) This reduces time to first byte.

    The option is based on the Slice module.

    Notes:

    1. Origin must support HTTP Range requests.
    2. Not supported with gzipON, brotli_compression or fetch_compressed options enabled.
    Sni GetCdnResourceRuleOptionsSni

    The hostname that is added to SNI requests from CDN servers to the origin server via HTTPS.

    SNI is generally only required if your origin uses shared hosting or does not have a dedicated IP address. If the origin server presents multiple certificates, SNI allows the origin server to know which certificate to use for the connection.

    The option works only if originProtocol parameter is HTTPS or MATCH.

    Stale GetCdnResourceRuleOptionsStale
    Serves stale cached content in case of origin unavailability.
    StaticHeaders GetCdnResourceRuleOptionsStaticHeaders

    Legacy option. Use the static_response_headers option instead.

    Custom HTTP Headers that a CDN server adds to response. Up to fifty custom HTTP Headers can be specified. May contain a header with multiple values.

    Deprecated: Deprecated

    StaticRequestHeaders GetCdnResourceRuleOptionsStaticRequestHeaders
    Custom HTTP Headers for a CDN server to add to request. Up to fifty custom HTTP Headers can be specified.
    StaticResponseHeaders GetCdnResourceRuleOptionsStaticResponseHeaders
    Custom HTTP Headers that a CDN server adds to a response.
    UserAgentAcl GetCdnResourceRuleOptionsUserAgentAcl
    Controls access to the content for specified User-Agents.
    Waap GetCdnResourceRuleOptionsWaap
    Allows to enable WAAP (Web Application and API Protection).
    Websockets GetCdnResourceRuleOptionsWebsockets
    Enables or disables WebSockets connections to an origin server.
    AllowedHttpMethods GetCdnResourceRuleOptionsAllowedHttpMethods
    HTTP methods allowed for content requests from the CDN.
    BotProtection GetCdnResourceRuleOptionsBotProtection
    Allows to prevent online services from overloading and ensure your business workflow running smoothly.
    BrotliCompression GetCdnResourceRuleOptionsBrotliCompression
    Compresses content with Brotli on the CDN side. CDN servers will request only uncompressed content from the origin.
    BrowserCacheSettings GetCdnResourceRuleOptionsBrowserCacheSettings

    Cache expiration time for users browsers in seconds.

    Cache expiration time is applied to the following response codes: 200, 201, 204, 206, 301, 302, 303, 304, 307, 308.

    Responses with other codes will not be cached.

    CacheHttpHeaders GetCdnResourceRuleOptionsCacheHttpHeaders

    Legacy option. Use the response_headers_hiding_policy option instead.

    HTTP Headers that must be included in the response.

    Deprecated: Deprecated

    Cors GetCdnResourceRuleOptionsCors

    Enables or disables CORS (Cross-Origin Resource Sharing) header support.

    CORS header support allows the CDN to add the Access-Control-Allow-Origin header to a response to a browser.

    CountryAcl GetCdnResourceRuleOptionsCountryAcl
    Enables control access to content for specified countries.
    DisableCache GetCdnResourceRuleOptionsDisableCache

    Legacy option. Use the edge_cache_settings option instead.

    Allows the complete disabling of content caching.

    Deprecated: Deprecated

    DisableProxyForceRanges GetCdnResourceRuleOptionsDisableProxyForceRanges
    Allows 206 responses regardless of the settings of an origin source.
    EdgeCacheSettings GetCdnResourceRuleOptionsEdgeCacheSettings

    Cache expiration time for CDN servers.

    value and default fields cannot be used simultaneously.

    Fastedge GetCdnResourceRuleOptionsFastedge

    Allows to configure FastEdge app to be called on different request/response phases.

    Note: At least one of on_request_headers, on_request_body, on_response_headers, or on_response_body must be specified.

    FetchCompressed GetCdnResourceRuleOptionsFetchCompressed

    Makes the CDN request compressed content from the origin.

    The origin server should support compression. CDN servers will not decompress your content even if a user browser does not accept compression.

    Notes:

    1. fetch_compressed is not supported with gzipON or brotli_compression or slice options enabled.
    2. fetch_compressed overrides gzipON and brotli_compression in rule. If you enable it in CDN resource and want to use gzipON and brotli_compression in a rule, you have to specify <span pulumi-lang-nodejs=""fetchCompressed"" pulumi-lang-dotnet=""FetchCompressed"" pulumi-lang-go=""fetchCompressed"" pulumi-lang-python=""fetch_compressed"" pulumi-lang-yaml=""fetchCompressed"" pulumi-lang-java=""fetchCompressed"">"fetch_compressed"</span>: false in the rule.
    FollowOriginRedirect GetCdnResourceRuleOptionsFollowOriginRedirect
    Enables redirection from origin. If the origin server returns a redirect, the option allows the CDN to pull the requested content from the origin server that was returned in the redirect.
    ForceReturn GetCdnResourceRuleOptionsForceReturn

    Applies custom HTTP response codes for CDN content.

    The following codes are reserved by our system and cannot be specified in this option: 408, 444, 477, 494, 495, 496, 497, 499.

    ForwardHostHeader GetCdnResourceRuleOptionsForwardHostHeader

    Forwards the Host header from a end-user request to an origin server.

    hostHeader and forward_host_header options cannot be enabled simultaneously.

    GzipOn GetCdnResourceRuleOptionsGzipOn

    Compresses content with gzip on the CDN end. CDN servers will request only uncompressed content from the origin.

    Notes:

    1. Compression with gzip is not supported with fetch_compressed or slice options enabled.
    2. fetch_compressed option in CDN resource settings overrides gzipON in rules. If you enable fetch_compressed in CDN resource and want to enable gzipON in rules, you need to specify <span pulumi-lang-nodejs=""fetchCompressed"" pulumi-lang-dotnet=""FetchCompressed"" pulumi-lang-go=""fetchCompressed"" pulumi-lang-python=""fetch_compressed"" pulumi-lang-yaml=""fetchCompressed"" pulumi-lang-java=""fetchCompressed"">"fetch_compressed"</span>:false for rules.
    HostHeader GetCdnResourceRuleOptionsHostHeader

    Sets the Host header that CDN servers use when request content from an origin server. Your server must be able to process requests with the chosen header.

    If the option is null, the Host Header value is equal to first CNAME.

    hostHeader and forward_host_header options cannot be enabled simultaneously.

    IgnoreCookie GetCdnResourceRuleOptionsIgnoreCookie
    Defines whether the files with the Set-Cookies header are cached as one file or as different ones.
    IgnoreQueryString GetCdnResourceRuleOptionsIgnoreQueryString

    How a file with different query strings is cached: either as one object (option is enabled) or as different objects (option is disabled.)

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    ImageStack GetCdnResourceRuleOptionsImageStack
    Transforms JPG and PNG images (for example, resize or crop) and automatically converts them to WebP or AVIF format.
    IpAddressAcl GetCdnResourceRuleOptionsIpAddressAcl

    Controls access to the CDN resource content for specific IP addresses.

    If you want to use IPs from our CDN servers IP list for IP ACL configuration, you have to independently monitor their relevance.

    We recommend you use a script for automatically update IP ACL. Read more.

    LimitBandwidth GetCdnResourceRuleOptionsLimitBandwidth
    Allows to control the download speed per connection.
    ProxyCacheKey GetCdnResourceRuleOptionsProxyCacheKey

    Allows you to modify your cache key. If omitted, the default value is $request_uri.

    Combine the specified variables to create a key for caching.

    • $request_uri
    • $scheme
    • $uri

    Warning: Enabling and changing this option can invalidate your current cache and affect the cache hit ratio. Furthermore, the "Purge by pattern" option will not work.

    ProxyCacheMethodsSet GetCdnResourceRuleOptionsProxyCacheMethodsSet
    Caching for POST requests along with default GET and HEAD.
    ProxyConnectTimeout GetCdnResourceRuleOptionsProxyConnectTimeout
    The time limit for establishing a connection with the origin.
    ProxyReadTimeout GetCdnResourceRuleOptionsProxyReadTimeout

    The time limit for receiving a partial response from the origin. If no response is received within this time, the connection will be closed.

    Note: When used with a WebSocket connection, this option supports values only in the range 1–20 seconds (instead of the usual 1–30 seconds).

    QueryParamsBlacklist GetCdnResourceRuleOptionsQueryParamsBlacklist

    Files with the specified query parameters are cached as one object, files with other parameters are cached as different objects.

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    QueryParamsWhitelist GetCdnResourceRuleOptionsQueryParamsWhitelist

    Files with the specified query parameters are cached as different objects, files with other parameters are cached as one object.

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    QueryStringForwarding GetCdnResourceRuleOptionsQueryStringForwarding
    The Query String Forwarding feature allows for the seamless transfer of parameters embedded in playlist files to the corresponding media chunk files. This functionality ensures that specific attributes, such as authentication tokens or tracking information, are consistently passed along from the playlist manifest to the individual media segments. This is particularly useful for maintaining continuity in security, analytics, and any other parameter-based operations across the entire media delivery workflow.
    RedirectHttpToHttps GetCdnResourceRuleOptionsRedirectHttpToHttps

    Enables redirect from HTTP to HTTPS.

    redirect_http_to_https and redirect_https_to_http options cannot be enabled simultaneously.

    RedirectHttpsToHttp GetCdnResourceRuleOptionsRedirectHttpsToHttp

    Enables redirect from HTTPS to HTTP.

    redirect_http_to_https and redirect_https_to_http options cannot be enabled simultaneously.

    ReferrerAcl GetCdnResourceRuleOptionsReferrerAcl
    Controls access to the CDN resource content for specified domain names.
    RequestLimiter GetCdnResourceRuleOptionsRequestLimiter
    Option allows to limit the amount of HTTP requests.
    ResponseHeadersHidingPolicy GetCdnResourceRuleOptionsResponseHeadersHidingPolicy
    Hides HTTP headers from an origin server in the CDN response.
    Rewrite GetCdnResourceRuleOptionsRewrite
    Changes and redirects requests from the CDN to the origin. It operates according to the Nginx configuration.
    SecureKey GetCdnResourceRuleOptionsSecureKey
    Configures access with tokenized URLs. This makes impossible to access content without a valid (unexpired) token.
    Slice GetCdnResourceRuleOptionsSlice

    Requests and caches files larger than 10 MB in parts (no larger than 10 MB per part.) This reduces time to first byte.

    The option is based on the Slice module.

    Notes:

    1. Origin must support HTTP Range requests.
    2. Not supported with gzipON, brotli_compression or fetch_compressed options enabled.
    Sni GetCdnResourceRuleOptionsSni

    The hostname that is added to SNI requests from CDN servers to the origin server via HTTPS.

    SNI is generally only required if your origin uses shared hosting or does not have a dedicated IP address. If the origin server presents multiple certificates, SNI allows the origin server to know which certificate to use for the connection.

    The option works only if originProtocol parameter is HTTPS or MATCH.

    Stale GetCdnResourceRuleOptionsStale
    Serves stale cached content in case of origin unavailability.
    StaticHeaders GetCdnResourceRuleOptionsStaticHeaders

    Legacy option. Use the static_response_headers option instead.

    Custom HTTP Headers that a CDN server adds to response. Up to fifty custom HTTP Headers can be specified. May contain a header with multiple values.

    Deprecated: Deprecated

    StaticRequestHeaders GetCdnResourceRuleOptionsStaticRequestHeaders
    Custom HTTP Headers for a CDN server to add to request. Up to fifty custom HTTP Headers can be specified.
    StaticResponseHeaders GetCdnResourceRuleOptionsStaticResponseHeaders
    Custom HTTP Headers that a CDN server adds to a response.
    UserAgentAcl GetCdnResourceRuleOptionsUserAgentAcl
    Controls access to the content for specified User-Agents.
    Waap GetCdnResourceRuleOptionsWaap
    Allows to enable WAAP (Web Application and API Protection).
    Websockets GetCdnResourceRuleOptionsWebsockets
    Enables or disables WebSockets connections to an origin server.
    allowedHttpMethods GetCdnResourceRuleOptionsAllowedHttpMethods
    HTTP methods allowed for content requests from the CDN.
    botProtection GetCdnResourceRuleOptionsBotProtection
    Allows to prevent online services from overloading and ensure your business workflow running smoothly.
    brotliCompression GetCdnResourceRuleOptionsBrotliCompression
    Compresses content with Brotli on the CDN side. CDN servers will request only uncompressed content from the origin.
    browserCacheSettings GetCdnResourceRuleOptionsBrowserCacheSettings

    Cache expiration time for users browsers in seconds.

    Cache expiration time is applied to the following response codes: 200, 201, 204, 206, 301, 302, 303, 304, 307, 308.

    Responses with other codes will not be cached.

    cacheHttpHeaders GetCdnResourceRuleOptionsCacheHttpHeaders

    Legacy option. Use the response_headers_hiding_policy option instead.

    HTTP Headers that must be included in the response.

    Deprecated: Deprecated

    cors GetCdnResourceRuleOptionsCors

    Enables or disables CORS (Cross-Origin Resource Sharing) header support.

    CORS header support allows the CDN to add the Access-Control-Allow-Origin header to a response to a browser.

    countryAcl GetCdnResourceRuleOptionsCountryAcl
    Enables control access to content for specified countries.
    disableCache GetCdnResourceRuleOptionsDisableCache

    Legacy option. Use the edge_cache_settings option instead.

    Allows the complete disabling of content caching.

    Deprecated: Deprecated

    disableProxyForceRanges GetCdnResourceRuleOptionsDisableProxyForceRanges
    Allows 206 responses regardless of the settings of an origin source.
    edgeCacheSettings GetCdnResourceRuleOptionsEdgeCacheSettings

    Cache expiration time for CDN servers.

    value and default fields cannot be used simultaneously.

    fastedge GetCdnResourceRuleOptionsFastedge

    Allows to configure FastEdge app to be called on different request/response phases.

    Note: At least one of on_request_headers, on_request_body, on_response_headers, or on_response_body must be specified.

    fetchCompressed GetCdnResourceRuleOptionsFetchCompressed

    Makes the CDN request compressed content from the origin.

    The origin server should support compression. CDN servers will not decompress your content even if a user browser does not accept compression.

    Notes:

    1. fetch_compressed is not supported with gzipON or brotli_compression or slice options enabled.
    2. fetch_compressed overrides gzipON and brotli_compression in rule. If you enable it in CDN resource and want to use gzipON and brotli_compression in a rule, you have to specify <span pulumi-lang-nodejs=""fetchCompressed"" pulumi-lang-dotnet=""FetchCompressed"" pulumi-lang-go=""fetchCompressed"" pulumi-lang-python=""fetch_compressed"" pulumi-lang-yaml=""fetchCompressed"" pulumi-lang-java=""fetchCompressed"">"fetch_compressed"</span>: false in the rule.
    followOriginRedirect GetCdnResourceRuleOptionsFollowOriginRedirect
    Enables redirection from origin. If the origin server returns a redirect, the option allows the CDN to pull the requested content from the origin server that was returned in the redirect.
    forceReturn GetCdnResourceRuleOptionsForceReturn

    Applies custom HTTP response codes for CDN content.

    The following codes are reserved by our system and cannot be specified in this option: 408, 444, 477, 494, 495, 496, 497, 499.

    forwardHostHeader GetCdnResourceRuleOptionsForwardHostHeader

    Forwards the Host header from a end-user request to an origin server.

    hostHeader and forward_host_header options cannot be enabled simultaneously.

    gzipOn GetCdnResourceRuleOptionsGzipOn

    Compresses content with gzip on the CDN end. CDN servers will request only uncompressed content from the origin.

    Notes:

    1. Compression with gzip is not supported with fetch_compressed or slice options enabled.
    2. fetch_compressed option in CDN resource settings overrides gzipON in rules. If you enable fetch_compressed in CDN resource and want to enable gzipON in rules, you need to specify <span pulumi-lang-nodejs=""fetchCompressed"" pulumi-lang-dotnet=""FetchCompressed"" pulumi-lang-go=""fetchCompressed"" pulumi-lang-python=""fetch_compressed"" pulumi-lang-yaml=""fetchCompressed"" pulumi-lang-java=""fetchCompressed"">"fetch_compressed"</span>:false for rules.
    hostHeader GetCdnResourceRuleOptionsHostHeader

    Sets the Host header that CDN servers use when request content from an origin server. Your server must be able to process requests with the chosen header.

    If the option is null, the Host Header value is equal to first CNAME.

    hostHeader and forward_host_header options cannot be enabled simultaneously.

    ignoreCookie GetCdnResourceRuleOptionsIgnoreCookie
    Defines whether the files with the Set-Cookies header are cached as one file or as different ones.
    ignoreQueryString GetCdnResourceRuleOptionsIgnoreQueryString

    How a file with different query strings is cached: either as one object (option is enabled) or as different objects (option is disabled.)

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    imageStack GetCdnResourceRuleOptionsImageStack
    Transforms JPG and PNG images (for example, resize or crop) and automatically converts them to WebP or AVIF format.
    ipAddressAcl GetCdnResourceRuleOptionsIpAddressAcl

    Controls access to the CDN resource content for specific IP addresses.

    If you want to use IPs from our CDN servers IP list for IP ACL configuration, you have to independently monitor their relevance.

    We recommend you use a script for automatically update IP ACL. Read more.

    limitBandwidth GetCdnResourceRuleOptionsLimitBandwidth
    Allows to control the download speed per connection.
    proxyCacheKey GetCdnResourceRuleOptionsProxyCacheKey

    Allows you to modify your cache key. If omitted, the default value is $request_uri.

    Combine the specified variables to create a key for caching.

    • $request_uri
    • $scheme
    • $uri

    Warning: Enabling and changing this option can invalidate your current cache and affect the cache hit ratio. Furthermore, the "Purge by pattern" option will not work.

    proxyCacheMethodsSet GetCdnResourceRuleOptionsProxyCacheMethodsSet
    Caching for POST requests along with default GET and HEAD.
    proxyConnectTimeout GetCdnResourceRuleOptionsProxyConnectTimeout
    The time limit for establishing a connection with the origin.
    proxyReadTimeout GetCdnResourceRuleOptionsProxyReadTimeout

    The time limit for receiving a partial response from the origin. If no response is received within this time, the connection will be closed.

    Note: When used with a WebSocket connection, this option supports values only in the range 1–20 seconds (instead of the usual 1–30 seconds).

    queryParamsBlacklist GetCdnResourceRuleOptionsQueryParamsBlacklist

    Files with the specified query parameters are cached as one object, files with other parameters are cached as different objects.

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    queryParamsWhitelist GetCdnResourceRuleOptionsQueryParamsWhitelist

    Files with the specified query parameters are cached as different objects, files with other parameters are cached as one object.

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    queryStringForwarding GetCdnResourceRuleOptionsQueryStringForwarding
    The Query String Forwarding feature allows for the seamless transfer of parameters embedded in playlist files to the corresponding media chunk files. This functionality ensures that specific attributes, such as authentication tokens or tracking information, are consistently passed along from the playlist manifest to the individual media segments. This is particularly useful for maintaining continuity in security, analytics, and any other parameter-based operations across the entire media delivery workflow.
    redirectHttpToHttps GetCdnResourceRuleOptionsRedirectHttpToHttps

    Enables redirect from HTTP to HTTPS.

    redirect_http_to_https and redirect_https_to_http options cannot be enabled simultaneously.

    redirectHttpsToHttp GetCdnResourceRuleOptionsRedirectHttpsToHttp

    Enables redirect from HTTPS to HTTP.

    redirect_http_to_https and redirect_https_to_http options cannot be enabled simultaneously.

    referrerAcl GetCdnResourceRuleOptionsReferrerAcl
    Controls access to the CDN resource content for specified domain names.
    requestLimiter GetCdnResourceRuleOptionsRequestLimiter
    Option allows to limit the amount of HTTP requests.
    responseHeadersHidingPolicy GetCdnResourceRuleOptionsResponseHeadersHidingPolicy
    Hides HTTP headers from an origin server in the CDN response.
    rewrite GetCdnResourceRuleOptionsRewrite
    Changes and redirects requests from the CDN to the origin. It operates according to the Nginx configuration.
    secureKey GetCdnResourceRuleOptionsSecureKey
    Configures access with tokenized URLs. This makes impossible to access content without a valid (unexpired) token.
    slice GetCdnResourceRuleOptionsSlice

    Requests and caches files larger than 10 MB in parts (no larger than 10 MB per part.) This reduces time to first byte.

    The option is based on the Slice module.

    Notes:

    1. Origin must support HTTP Range requests.
    2. Not supported with gzipON, brotli_compression or fetch_compressed options enabled.
    sni GetCdnResourceRuleOptionsSni

    The hostname that is added to SNI requests from CDN servers to the origin server via HTTPS.

    SNI is generally only required if your origin uses shared hosting or does not have a dedicated IP address. If the origin server presents multiple certificates, SNI allows the origin server to know which certificate to use for the connection.

    The option works only if originProtocol parameter is HTTPS or MATCH.

    stale GetCdnResourceRuleOptionsStale
    Serves stale cached content in case of origin unavailability.
    staticHeaders GetCdnResourceRuleOptionsStaticHeaders

    Legacy option. Use the static_response_headers option instead.

    Custom HTTP Headers that a CDN server adds to response. Up to fifty custom HTTP Headers can be specified. May contain a header with multiple values.

    Deprecated: Deprecated

    staticRequestHeaders GetCdnResourceRuleOptionsStaticRequestHeaders
    Custom HTTP Headers for a CDN server to add to request. Up to fifty custom HTTP Headers can be specified.
    staticResponseHeaders GetCdnResourceRuleOptionsStaticResponseHeaders
    Custom HTTP Headers that a CDN server adds to a response.
    userAgentAcl GetCdnResourceRuleOptionsUserAgentAcl
    Controls access to the content for specified User-Agents.
    waap GetCdnResourceRuleOptionsWaap
    Allows to enable WAAP (Web Application and API Protection).
    websockets GetCdnResourceRuleOptionsWebsockets
    Enables or disables WebSockets connections to an origin server.
    allowedHttpMethods GetCdnResourceRuleOptionsAllowedHttpMethods
    HTTP methods allowed for content requests from the CDN.
    botProtection GetCdnResourceRuleOptionsBotProtection
    Allows to prevent online services from overloading and ensure your business workflow running smoothly.
    brotliCompression GetCdnResourceRuleOptionsBrotliCompression
    Compresses content with Brotli on the CDN side. CDN servers will request only uncompressed content from the origin.
    browserCacheSettings GetCdnResourceRuleOptionsBrowserCacheSettings

    Cache expiration time for users browsers in seconds.

    Cache expiration time is applied to the following response codes: 200, 201, 204, 206, 301, 302, 303, 304, 307, 308.

    Responses with other codes will not be cached.

    cacheHttpHeaders GetCdnResourceRuleOptionsCacheHttpHeaders

    Legacy option. Use the response_headers_hiding_policy option instead.

    HTTP Headers that must be included in the response.

    Deprecated: Deprecated

    cors GetCdnResourceRuleOptionsCors

    Enables or disables CORS (Cross-Origin Resource Sharing) header support.

    CORS header support allows the CDN to add the Access-Control-Allow-Origin header to a response to a browser.

    countryAcl GetCdnResourceRuleOptionsCountryAcl
    Enables control access to content for specified countries.
    disableCache GetCdnResourceRuleOptionsDisableCache

    Legacy option. Use the edge_cache_settings option instead.

    Allows the complete disabling of content caching.

    Deprecated: Deprecated

    disableProxyForceRanges GetCdnResourceRuleOptionsDisableProxyForceRanges
    Allows 206 responses regardless of the settings of an origin source.
    edgeCacheSettings GetCdnResourceRuleOptionsEdgeCacheSettings

    Cache expiration time for CDN servers.

    value and default fields cannot be used simultaneously.

    fastedge GetCdnResourceRuleOptionsFastedge

    Allows to configure FastEdge app to be called on different request/response phases.

    Note: At least one of on_request_headers, on_request_body, on_response_headers, or on_response_body must be specified.

    fetchCompressed GetCdnResourceRuleOptionsFetchCompressed

    Makes the CDN request compressed content from the origin.

    The origin server should support compression. CDN servers will not decompress your content even if a user browser does not accept compression.

    Notes:

    1. fetch_compressed is not supported with gzipON or brotli_compression or slice options enabled.
    2. fetch_compressed overrides gzipON and brotli_compression in rule. If you enable it in CDN resource and want to use gzipON and brotli_compression in a rule, you have to specify <span pulumi-lang-nodejs=""fetchCompressed"" pulumi-lang-dotnet=""FetchCompressed"" pulumi-lang-go=""fetchCompressed"" pulumi-lang-python=""fetch_compressed"" pulumi-lang-yaml=""fetchCompressed"" pulumi-lang-java=""fetchCompressed"">"fetch_compressed"</span>: false in the rule.
    followOriginRedirect GetCdnResourceRuleOptionsFollowOriginRedirect
    Enables redirection from origin. If the origin server returns a redirect, the option allows the CDN to pull the requested content from the origin server that was returned in the redirect.
    forceReturn GetCdnResourceRuleOptionsForceReturn

    Applies custom HTTP response codes for CDN content.

    The following codes are reserved by our system and cannot be specified in this option: 408, 444, 477, 494, 495, 496, 497, 499.

    forwardHostHeader GetCdnResourceRuleOptionsForwardHostHeader

    Forwards the Host header from a end-user request to an origin server.

    hostHeader and forward_host_header options cannot be enabled simultaneously.

    gzipOn GetCdnResourceRuleOptionsGzipOn

    Compresses content with gzip on the CDN end. CDN servers will request only uncompressed content from the origin.

    Notes:

    1. Compression with gzip is not supported with fetch_compressed or slice options enabled.
    2. fetch_compressed option in CDN resource settings overrides gzipON in rules. If you enable fetch_compressed in CDN resource and want to enable gzipON in rules, you need to specify <span pulumi-lang-nodejs=""fetchCompressed"" pulumi-lang-dotnet=""FetchCompressed"" pulumi-lang-go=""fetchCompressed"" pulumi-lang-python=""fetch_compressed"" pulumi-lang-yaml=""fetchCompressed"" pulumi-lang-java=""fetchCompressed"">"fetch_compressed"</span>:false for rules.
    hostHeader GetCdnResourceRuleOptionsHostHeader

    Sets the Host header that CDN servers use when request content from an origin server. Your server must be able to process requests with the chosen header.

    If the option is null, the Host Header value is equal to first CNAME.

    hostHeader and forward_host_header options cannot be enabled simultaneously.

    ignoreCookie GetCdnResourceRuleOptionsIgnoreCookie
    Defines whether the files with the Set-Cookies header are cached as one file or as different ones.
    ignoreQueryString GetCdnResourceRuleOptionsIgnoreQueryString

    How a file with different query strings is cached: either as one object (option is enabled) or as different objects (option is disabled.)

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    imageStack GetCdnResourceRuleOptionsImageStack
    Transforms JPG and PNG images (for example, resize or crop) and automatically converts them to WebP or AVIF format.
    ipAddressAcl GetCdnResourceRuleOptionsIpAddressAcl

    Controls access to the CDN resource content for specific IP addresses.

    If you want to use IPs from our CDN servers IP list for IP ACL configuration, you have to independently monitor their relevance.

    We recommend you use a script for automatically update IP ACL. Read more.

    limitBandwidth GetCdnResourceRuleOptionsLimitBandwidth
    Allows to control the download speed per connection.
    proxyCacheKey GetCdnResourceRuleOptionsProxyCacheKey

    Allows you to modify your cache key. If omitted, the default value is $request_uri.

    Combine the specified variables to create a key for caching.

    • $request_uri
    • $scheme
    • $uri

    Warning: Enabling and changing this option can invalidate your current cache and affect the cache hit ratio. Furthermore, the "Purge by pattern" option will not work.

    proxyCacheMethodsSet GetCdnResourceRuleOptionsProxyCacheMethodsSet
    Caching for POST requests along with default GET and HEAD.
    proxyConnectTimeout GetCdnResourceRuleOptionsProxyConnectTimeout
    The time limit for establishing a connection with the origin.
    proxyReadTimeout GetCdnResourceRuleOptionsProxyReadTimeout

    The time limit for receiving a partial response from the origin. If no response is received within this time, the connection will be closed.

    Note: When used with a WebSocket connection, this option supports values only in the range 1–20 seconds (instead of the usual 1–30 seconds).

    queryParamsBlacklist GetCdnResourceRuleOptionsQueryParamsBlacklist

    Files with the specified query parameters are cached as one object, files with other parameters are cached as different objects.

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    queryParamsWhitelist GetCdnResourceRuleOptionsQueryParamsWhitelist

    Files with the specified query parameters are cached as different objects, files with other parameters are cached as one object.

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    queryStringForwarding GetCdnResourceRuleOptionsQueryStringForwarding
    The Query String Forwarding feature allows for the seamless transfer of parameters embedded in playlist files to the corresponding media chunk files. This functionality ensures that specific attributes, such as authentication tokens or tracking information, are consistently passed along from the playlist manifest to the individual media segments. This is particularly useful for maintaining continuity in security, analytics, and any other parameter-based operations across the entire media delivery workflow.
    redirectHttpToHttps GetCdnResourceRuleOptionsRedirectHttpToHttps

    Enables redirect from HTTP to HTTPS.

    redirect_http_to_https and redirect_https_to_http options cannot be enabled simultaneously.

    redirectHttpsToHttp GetCdnResourceRuleOptionsRedirectHttpsToHttp

    Enables redirect from HTTPS to HTTP.

    redirect_http_to_https and redirect_https_to_http options cannot be enabled simultaneously.

    referrerAcl GetCdnResourceRuleOptionsReferrerAcl
    Controls access to the CDN resource content for specified domain names.
    requestLimiter GetCdnResourceRuleOptionsRequestLimiter
    Option allows to limit the amount of HTTP requests.
    responseHeadersHidingPolicy GetCdnResourceRuleOptionsResponseHeadersHidingPolicy
    Hides HTTP headers from an origin server in the CDN response.
    rewrite GetCdnResourceRuleOptionsRewrite
    Changes and redirects requests from the CDN to the origin. It operates according to the Nginx configuration.
    secureKey GetCdnResourceRuleOptionsSecureKey
    Configures access with tokenized URLs. This makes impossible to access content without a valid (unexpired) token.
    slice GetCdnResourceRuleOptionsSlice

    Requests and caches files larger than 10 MB in parts (no larger than 10 MB per part.) This reduces time to first byte.

    The option is based on the Slice module.

    Notes:

    1. Origin must support HTTP Range requests.
    2. Not supported with gzipON, brotli_compression or fetch_compressed options enabled.
    sni GetCdnResourceRuleOptionsSni

    The hostname that is added to SNI requests from CDN servers to the origin server via HTTPS.

    SNI is generally only required if your origin uses shared hosting or does not have a dedicated IP address. If the origin server presents multiple certificates, SNI allows the origin server to know which certificate to use for the connection.

    The option works only if originProtocol parameter is HTTPS or MATCH.

    stale GetCdnResourceRuleOptionsStale
    Serves stale cached content in case of origin unavailability.
    staticHeaders GetCdnResourceRuleOptionsStaticHeaders

    Legacy option. Use the static_response_headers option instead.

    Custom HTTP Headers that a CDN server adds to response. Up to fifty custom HTTP Headers can be specified. May contain a header with multiple values.

    Deprecated: Deprecated

    staticRequestHeaders GetCdnResourceRuleOptionsStaticRequestHeaders
    Custom HTTP Headers for a CDN server to add to request. Up to fifty custom HTTP Headers can be specified.
    staticResponseHeaders GetCdnResourceRuleOptionsStaticResponseHeaders
    Custom HTTP Headers that a CDN server adds to a response.
    userAgentAcl GetCdnResourceRuleOptionsUserAgentAcl
    Controls access to the content for specified User-Agents.
    waap GetCdnResourceRuleOptionsWaap
    Allows to enable WAAP (Web Application and API Protection).
    websockets GetCdnResourceRuleOptionsWebsockets
    Enables or disables WebSockets connections to an origin server.
    allowed_http_methods GetCdnResourceRuleOptionsAllowedHttpMethods
    HTTP methods allowed for content requests from the CDN.
    bot_protection GetCdnResourceRuleOptionsBotProtection
    Allows to prevent online services from overloading and ensure your business workflow running smoothly.
    brotli_compression GetCdnResourceRuleOptionsBrotliCompression
    Compresses content with Brotli on the CDN side. CDN servers will request only uncompressed content from the origin.
    browser_cache_settings GetCdnResourceRuleOptionsBrowserCacheSettings

    Cache expiration time for users browsers in seconds.

    Cache expiration time is applied to the following response codes: 200, 201, 204, 206, 301, 302, 303, 304, 307, 308.

    Responses with other codes will not be cached.

    cache_http_headers GetCdnResourceRuleOptionsCacheHttpHeaders

    Legacy option. Use the response_headers_hiding_policy option instead.

    HTTP Headers that must be included in the response.

    Deprecated: Deprecated

    cors GetCdnResourceRuleOptionsCors

    Enables or disables CORS (Cross-Origin Resource Sharing) header support.

    CORS header support allows the CDN to add the Access-Control-Allow-Origin header to a response to a browser.

    country_acl GetCdnResourceRuleOptionsCountryAcl
    Enables control access to content for specified countries.
    disable_cache GetCdnResourceRuleOptionsDisableCache

    Legacy option. Use the edge_cache_settings option instead.

    Allows the complete disabling of content caching.

    Deprecated: Deprecated

    disable_proxy_force_ranges GetCdnResourceRuleOptionsDisableProxyForceRanges
    Allows 206 responses regardless of the settings of an origin source.
    edge_cache_settings GetCdnResourceRuleOptionsEdgeCacheSettings

    Cache expiration time for CDN servers.

    value and default fields cannot be used simultaneously.

    fastedge GetCdnResourceRuleOptionsFastedge

    Allows to configure FastEdge app to be called on different request/response phases.

    Note: At least one of on_request_headers, on_request_body, on_response_headers, or on_response_body must be specified.

    fetch_compressed GetCdnResourceRuleOptionsFetchCompressed

    Makes the CDN request compressed content from the origin.

    The origin server should support compression. CDN servers will not decompress your content even if a user browser does not accept compression.

    Notes:

    1. fetch_compressed is not supported with gzipON or brotli_compression or slice options enabled.
    2. fetch_compressed overrides gzipON and brotli_compression in rule. If you enable it in CDN resource and want to use gzipON and brotli_compression in a rule, you have to specify <span pulumi-lang-nodejs=""fetchCompressed"" pulumi-lang-dotnet=""FetchCompressed"" pulumi-lang-go=""fetchCompressed"" pulumi-lang-python=""fetch_compressed"" pulumi-lang-yaml=""fetchCompressed"" pulumi-lang-java=""fetchCompressed"">"fetch_compressed"</span>: false in the rule.
    follow_origin_redirect GetCdnResourceRuleOptionsFollowOriginRedirect
    Enables redirection from origin. If the origin server returns a redirect, the option allows the CDN to pull the requested content from the origin server that was returned in the redirect.
    force_return GetCdnResourceRuleOptionsForceReturn

    Applies custom HTTP response codes for CDN content.

    The following codes are reserved by our system and cannot be specified in this option: 408, 444, 477, 494, 495, 496, 497, 499.

    forward_host_header GetCdnResourceRuleOptionsForwardHostHeader

    Forwards the Host header from a end-user request to an origin server.

    hostHeader and forward_host_header options cannot be enabled simultaneously.

    gzip_on GetCdnResourceRuleOptionsGzipOn

    Compresses content with gzip on the CDN end. CDN servers will request only uncompressed content from the origin.

    Notes:

    1. Compression with gzip is not supported with fetch_compressed or slice options enabled.
    2. fetch_compressed option in CDN resource settings overrides gzipON in rules. If you enable fetch_compressed in CDN resource and want to enable gzipON in rules, you need to specify <span pulumi-lang-nodejs=""fetchCompressed"" pulumi-lang-dotnet=""FetchCompressed"" pulumi-lang-go=""fetchCompressed"" pulumi-lang-python=""fetch_compressed"" pulumi-lang-yaml=""fetchCompressed"" pulumi-lang-java=""fetchCompressed"">"fetch_compressed"</span>:false for rules.
    host_header GetCdnResourceRuleOptionsHostHeader

    Sets the Host header that CDN servers use when request content from an origin server. Your server must be able to process requests with the chosen header.

    If the option is null, the Host Header value is equal to first CNAME.

    hostHeader and forward_host_header options cannot be enabled simultaneously.

    ignore_cookie GetCdnResourceRuleOptionsIgnoreCookie
    Defines whether the files with the Set-Cookies header are cached as one file or as different ones.
    ignore_query_string GetCdnResourceRuleOptionsIgnoreQueryString

    How a file with different query strings is cached: either as one object (option is enabled) or as different objects (option is disabled.)

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    image_stack GetCdnResourceRuleOptionsImageStack
    Transforms JPG and PNG images (for example, resize or crop) and automatically converts them to WebP or AVIF format.
    ip_address_acl GetCdnResourceRuleOptionsIpAddressAcl

    Controls access to the CDN resource content for specific IP addresses.

    If you want to use IPs from our CDN servers IP list for IP ACL configuration, you have to independently monitor their relevance.

    We recommend you use a script for automatically update IP ACL. Read more.

    limit_bandwidth GetCdnResourceRuleOptionsLimitBandwidth
    Allows to control the download speed per connection.
    proxy_cache_key GetCdnResourceRuleOptionsProxyCacheKey

    Allows you to modify your cache key. If omitted, the default value is $request_uri.

    Combine the specified variables to create a key for caching.

    • $request_uri
    • $scheme
    • $uri

    Warning: Enabling and changing this option can invalidate your current cache and affect the cache hit ratio. Furthermore, the "Purge by pattern" option will not work.

    proxy_cache_methods_set GetCdnResourceRuleOptionsProxyCacheMethodsSet
    Caching for POST requests along with default GET and HEAD.
    proxy_connect_timeout GetCdnResourceRuleOptionsProxyConnectTimeout
    The time limit for establishing a connection with the origin.
    proxy_read_timeout GetCdnResourceRuleOptionsProxyReadTimeout

    The time limit for receiving a partial response from the origin. If no response is received within this time, the connection will be closed.

    Note: When used with a WebSocket connection, this option supports values only in the range 1–20 seconds (instead of the usual 1–30 seconds).

    query_params_blacklist GetCdnResourceRuleOptionsQueryParamsBlacklist

    Files with the specified query parameters are cached as one object, files with other parameters are cached as different objects.

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    query_params_whitelist GetCdnResourceRuleOptionsQueryParamsWhitelist

    Files with the specified query parameters are cached as different objects, files with other parameters are cached as one object.

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    query_string_forwarding GetCdnResourceRuleOptionsQueryStringForwarding
    The Query String Forwarding feature allows for the seamless transfer of parameters embedded in playlist files to the corresponding media chunk files. This functionality ensures that specific attributes, such as authentication tokens or tracking information, are consistently passed along from the playlist manifest to the individual media segments. This is particularly useful for maintaining continuity in security, analytics, and any other parameter-based operations across the entire media delivery workflow.
    redirect_http_to_https GetCdnResourceRuleOptionsRedirectHttpToHttps

    Enables redirect from HTTP to HTTPS.

    redirect_http_to_https and redirect_https_to_http options cannot be enabled simultaneously.

    redirect_https_to_http GetCdnResourceRuleOptionsRedirectHttpsToHttp

    Enables redirect from HTTPS to HTTP.

    redirect_http_to_https and redirect_https_to_http options cannot be enabled simultaneously.

    referrer_acl GetCdnResourceRuleOptionsReferrerAcl
    Controls access to the CDN resource content for specified domain names.
    request_limiter GetCdnResourceRuleOptionsRequestLimiter
    Option allows to limit the amount of HTTP requests.
    response_headers_hiding_policy GetCdnResourceRuleOptionsResponseHeadersHidingPolicy
    Hides HTTP headers from an origin server in the CDN response.
    rewrite GetCdnResourceRuleOptionsRewrite
    Changes and redirects requests from the CDN to the origin. It operates according to the Nginx configuration.
    secure_key GetCdnResourceRuleOptionsSecureKey
    Configures access with tokenized URLs. This makes impossible to access content without a valid (unexpired) token.
    slice GetCdnResourceRuleOptionsSlice

    Requests and caches files larger than 10 MB in parts (no larger than 10 MB per part.) This reduces time to first byte.

    The option is based on the Slice module.

    Notes:

    1. Origin must support HTTP Range requests.
    2. Not supported with gzipON, brotli_compression or fetch_compressed options enabled.
    sni GetCdnResourceRuleOptionsSni

    The hostname that is added to SNI requests from CDN servers to the origin server via HTTPS.

    SNI is generally only required if your origin uses shared hosting or does not have a dedicated IP address. If the origin server presents multiple certificates, SNI allows the origin server to know which certificate to use for the connection.

    The option works only if originProtocol parameter is HTTPS or MATCH.

    stale GetCdnResourceRuleOptionsStale
    Serves stale cached content in case of origin unavailability.
    static_headers GetCdnResourceRuleOptionsStaticHeaders

    Legacy option. Use the static_response_headers option instead.

    Custom HTTP Headers that a CDN server adds to response. Up to fifty custom HTTP Headers can be specified. May contain a header with multiple values.

    Deprecated: Deprecated

    static_request_headers GetCdnResourceRuleOptionsStaticRequestHeaders
    Custom HTTP Headers for a CDN server to add to request. Up to fifty custom HTTP Headers can be specified.
    static_response_headers GetCdnResourceRuleOptionsStaticResponseHeaders
    Custom HTTP Headers that a CDN server adds to a response.
    user_agent_acl GetCdnResourceRuleOptionsUserAgentAcl
    Controls access to the content for specified User-Agents.
    waap GetCdnResourceRuleOptionsWaap
    Allows to enable WAAP (Web Application and API Protection).
    websockets GetCdnResourceRuleOptionsWebsockets
    Enables or disables WebSockets connections to an origin server.
    allowedHttpMethods Property Map
    HTTP methods allowed for content requests from the CDN.
    botProtection Property Map
    Allows to prevent online services from overloading and ensure your business workflow running smoothly.
    brotliCompression Property Map
    Compresses content with Brotli on the CDN side. CDN servers will request only uncompressed content from the origin.
    browserCacheSettings Property Map

    Cache expiration time for users browsers in seconds.

    Cache expiration time is applied to the following response codes: 200, 201, 204, 206, 301, 302, 303, 304, 307, 308.

    Responses with other codes will not be cached.

    cacheHttpHeaders Property Map

    Legacy option. Use the response_headers_hiding_policy option instead.

    HTTP Headers that must be included in the response.

    Deprecated: Deprecated

    cors Property Map

    Enables or disables CORS (Cross-Origin Resource Sharing) header support.

    CORS header support allows the CDN to add the Access-Control-Allow-Origin header to a response to a browser.

    countryAcl Property Map
    Enables control access to content for specified countries.
    disableCache Property Map

    Legacy option. Use the edge_cache_settings option instead.

    Allows the complete disabling of content caching.

    Deprecated: Deprecated

    disableProxyForceRanges Property Map
    Allows 206 responses regardless of the settings of an origin source.
    edgeCacheSettings Property Map

    Cache expiration time for CDN servers.

    value and default fields cannot be used simultaneously.

    fastedge Property Map

    Allows to configure FastEdge app to be called on different request/response phases.

    Note: At least one of on_request_headers, on_request_body, on_response_headers, or on_response_body must be specified.

    fetchCompressed Property Map

    Makes the CDN request compressed content from the origin.

    The origin server should support compression. CDN servers will not decompress your content even if a user browser does not accept compression.

    Notes:

    1. fetch_compressed is not supported with gzipON or brotli_compression or slice options enabled.
    2. fetch_compressed overrides gzipON and brotli_compression in rule. If you enable it in CDN resource and want to use gzipON and brotli_compression in a rule, you have to specify <span pulumi-lang-nodejs=""fetchCompressed"" pulumi-lang-dotnet=""FetchCompressed"" pulumi-lang-go=""fetchCompressed"" pulumi-lang-python=""fetch_compressed"" pulumi-lang-yaml=""fetchCompressed"" pulumi-lang-java=""fetchCompressed"">"fetch_compressed"</span>: false in the rule.
    followOriginRedirect Property Map
    Enables redirection from origin. If the origin server returns a redirect, the option allows the CDN to pull the requested content from the origin server that was returned in the redirect.
    forceReturn Property Map

    Applies custom HTTP response codes for CDN content.

    The following codes are reserved by our system and cannot be specified in this option: 408, 444, 477, 494, 495, 496, 497, 499.

    forwardHostHeader Property Map

    Forwards the Host header from a end-user request to an origin server.

    hostHeader and forward_host_header options cannot be enabled simultaneously.

    gzipOn Property Map

    Compresses content with gzip on the CDN end. CDN servers will request only uncompressed content from the origin.

    Notes:

    1. Compression with gzip is not supported with fetch_compressed or slice options enabled.
    2. fetch_compressed option in CDN resource settings overrides gzipON in rules. If you enable fetch_compressed in CDN resource and want to enable gzipON in rules, you need to specify <span pulumi-lang-nodejs=""fetchCompressed"" pulumi-lang-dotnet=""FetchCompressed"" pulumi-lang-go=""fetchCompressed"" pulumi-lang-python=""fetch_compressed"" pulumi-lang-yaml=""fetchCompressed"" pulumi-lang-java=""fetchCompressed"">"fetch_compressed"</span>:false for rules.
    hostHeader Property Map

    Sets the Host header that CDN servers use when request content from an origin server. Your server must be able to process requests with the chosen header.

    If the option is null, the Host Header value is equal to first CNAME.

    hostHeader and forward_host_header options cannot be enabled simultaneously.

    ignoreCookie Property Map
    Defines whether the files with the Set-Cookies header are cached as one file or as different ones.
    ignoreQueryString Property Map

    How a file with different query strings is cached: either as one object (option is enabled) or as different objects (option is disabled.)

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    imageStack Property Map
    Transforms JPG and PNG images (for example, resize or crop) and automatically converts them to WebP or AVIF format.
    ipAddressAcl Property Map

    Controls access to the CDN resource content for specific IP addresses.

    If you want to use IPs from our CDN servers IP list for IP ACL configuration, you have to independently monitor their relevance.

    We recommend you use a script for automatically update IP ACL. Read more.

    limitBandwidth Property Map
    Allows to control the download speed per connection.
    proxyCacheKey Property Map

    Allows you to modify your cache key. If omitted, the default value is $request_uri.

    Combine the specified variables to create a key for caching.

    • $request_uri
    • $scheme
    • $uri

    Warning: Enabling and changing this option can invalidate your current cache and affect the cache hit ratio. Furthermore, the "Purge by pattern" option will not work.

    proxyCacheMethodsSet Property Map
    Caching for POST requests along with default GET and HEAD.
    proxyConnectTimeout Property Map
    The time limit for establishing a connection with the origin.
    proxyReadTimeout Property Map

    The time limit for receiving a partial response from the origin. If no response is received within this time, the connection will be closed.

    Note: When used with a WebSocket connection, this option supports values only in the range 1–20 seconds (instead of the usual 1–30 seconds).

    queryParamsBlacklist Property Map

    Files with the specified query parameters are cached as one object, files with other parameters are cached as different objects.

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    queryParamsWhitelist Property Map

    Files with the specified query parameters are cached as different objects, files with other parameters are cached as one object.

    ignoreQueryString, query_params_whitelist and query_params_blacklist options cannot be enabled simultaneously.

    queryStringForwarding Property Map
    The Query String Forwarding feature allows for the seamless transfer of parameters embedded in playlist files to the corresponding media chunk files. This functionality ensures that specific attributes, such as authentication tokens or tracking information, are consistently passed along from the playlist manifest to the individual media segments. This is particularly useful for maintaining continuity in security, analytics, and any other parameter-based operations across the entire media delivery workflow.
    redirectHttpToHttps Property Map

    Enables redirect from HTTP to HTTPS.

    redirect_http_to_https and redirect_https_to_http options cannot be enabled simultaneously.

    redirectHttpsToHttp Property Map

    Enables redirect from HTTPS to HTTP.

    redirect_http_to_https and redirect_https_to_http options cannot be enabled simultaneously.

    referrerAcl Property Map
    Controls access to the CDN resource content for specified domain names.
    requestLimiter Property Map
    Option allows to limit the amount of HTTP requests.
    responseHeadersHidingPolicy Property Map
    Hides HTTP headers from an origin server in the CDN response.
    rewrite Property Map
    Changes and redirects requests from the CDN to the origin. It operates according to the Nginx configuration.
    secureKey Property Map
    Configures access with tokenized URLs. This makes impossible to access content without a valid (unexpired) token.
    slice Property Map

    Requests and caches files larger than 10 MB in parts (no larger than 10 MB per part.) This reduces time to first byte.

    The option is based on the Slice module.

    Notes:

    1. Origin must support HTTP Range requests.
    2. Not supported with gzipON, brotli_compression or fetch_compressed options enabled.
    sni Property Map

    The hostname that is added to SNI requests from CDN servers to the origin server via HTTPS.

    SNI is generally only required if your origin uses shared hosting or does not have a dedicated IP address. If the origin server presents multiple certificates, SNI allows the origin server to know which certificate to use for the connection.

    The option works only if originProtocol parameter is HTTPS or MATCH.

    stale Property Map
    Serves stale cached content in case of origin unavailability.
    staticHeaders Property Map

    Legacy option. Use the static_response_headers option instead.

    Custom HTTP Headers that a CDN server adds to response. Up to fifty custom HTTP Headers can be specified. May contain a header with multiple values.

    Deprecated: Deprecated

    staticRequestHeaders Property Map
    Custom HTTP Headers for a CDN server to add to request. Up to fifty custom HTTP Headers can be specified.
    staticResponseHeaders Property Map
    Custom HTTP Headers that a CDN server adds to a response.
    userAgentAcl Property Map
    Controls access to the content for specified User-Agents.
    waap Property Map
    Allows to enable WAAP (Web Application and API Protection).
    websockets Property Map
    Enables or disables WebSockets connections to an origin server.

    GetCdnResourceRuleOptionsAllowedHttpMethods

    Enabled bool
    Controls the option state.
    Values List<string>
    Enabled bool
    Controls the option state.
    Values []string
    enabled Boolean
    Controls the option state.
    values List<String>
    enabled boolean
    Controls the option state.
    values string[]
    enabled bool
    Controls the option state.
    values Sequence[str]
    enabled Boolean
    Controls the option state.
    values List<String>

    GetCdnResourceRuleOptionsBotProtection

    BotChallenge GetCdnResourceRuleOptionsBotProtectionBotChallenge
    Controls the bot challenge module state.
    Enabled bool
    Controls the option state.
    BotChallenge GetCdnResourceRuleOptionsBotProtectionBotChallenge
    Controls the bot challenge module state.
    Enabled bool
    Controls the option state.
    botChallenge GetCdnResourceRuleOptionsBotProtectionBotChallenge
    Controls the bot challenge module state.
    enabled Boolean
    Controls the option state.
    botChallenge GetCdnResourceRuleOptionsBotProtectionBotChallenge
    Controls the bot challenge module state.
    enabled boolean
    Controls the option state.
    bot_challenge GetCdnResourceRuleOptionsBotProtectionBotChallenge
    Controls the bot challenge module state.
    enabled bool
    Controls the option state.
    botChallenge Property Map
    Controls the bot challenge module state.
    enabled Boolean
    Controls the option state.

    GetCdnResourceRuleOptionsBotProtectionBotChallenge

    Enabled bool
    Possible values:
    Enabled bool
    Possible values:
    enabled Boolean
    Possible values:
    enabled boolean
    Possible values:
    enabled bool
    Possible values:
    enabled Boolean
    Possible values:

    GetCdnResourceRuleOptionsBrotliCompression

    Enabled bool
    Controls the option state.
    Values List<string>

    Allows to select the content types you want to compress.

    text/html is a mandatory content type.

    Enabled bool
    Controls the option state.
    Values []string

    Allows to select the content types you want to compress.

    text/html is a mandatory content type.

    enabled Boolean
    Controls the option state.
    values List<String>

    Allows to select the content types you want to compress.

    text/html is a mandatory content type.

    enabled boolean
    Controls the option state.
    values string[]

    Allows to select the content types you want to compress.

    text/html is a mandatory content type.

    enabled bool
    Controls the option state.
    values Sequence[str]

    Allows to select the content types you want to compress.

    text/html is a mandatory content type.

    enabled Boolean
    Controls the option state.
    values List<String>

    Allows to select the content types you want to compress.

    text/html is a mandatory content type.

    GetCdnResourceRuleOptionsBrowserCacheSettings

    Enabled bool
    Controls the option state.
    Value string

    Set the cache expiration time to '0s' to disable caching.

    The maximum duration is any equivalent to 1y.

    Enabled bool
    Controls the option state.
    Value string

    Set the cache expiration time to '0s' to disable caching.

    The maximum duration is any equivalent to 1y.

    enabled Boolean
    Controls the option state.
    value String

    Set the cache expiration time to '0s' to disable caching.

    The maximum duration is any equivalent to 1y.

    enabled boolean
    Controls the option state.
    value string

    Set the cache expiration time to '0s' to disable caching.

    The maximum duration is any equivalent to 1y.

    enabled bool
    Controls the option state.
    value str

    Set the cache expiration time to '0s' to disable caching.

    The maximum duration is any equivalent to 1y.

    enabled Boolean
    Controls the option state.
    value String

    Set the cache expiration time to '0s' to disable caching.

    The maximum duration is any equivalent to 1y.

    GetCdnResourceRuleOptionsCacheHttpHeaders

    Enabled bool
    Controls the option state.
    Values List<string>
    Enabled bool
    Controls the option state.
    Values []string
    enabled Boolean
    Controls the option state.
    values List<String>
    enabled boolean
    Controls the option state.
    values string[]
    enabled bool
    Controls the option state.
    values Sequence[str]
    enabled Boolean
    Controls the option state.
    values List<String>

    GetCdnResourceRuleOptionsCors

    Always bool
    Defines whether the Access-Control-Allow-Origin header should be added to a response from CDN regardless of response code.
    Enabled bool

    Controls the option state.

    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    Values List<string>

    Value of the Access-Control-Allow-Origin header.

    Possible values:

    • Adds * as the Access-Control-Allow-Origin header value - Content will be uploaded for requests from any domain. "value": ["*"]
    • Adds "$http_origin" as the Access-Control-Allow-Origin header value if the origin matches one of the listed domains - Content will be uploaded only for requests from the domains specified in the field. "value": ["domain.com", "second.dom.com"]
    • Adds "$http_origin" as the Access-Control-Allow-Origin header value - Content will be uploaded for requests from any domain, and the domain from which the request was sent will be added to the "Access-Control-Allow-Origin" header in the response. "value": ["$http_origin"]
    Always bool
    Defines whether the Access-Control-Allow-Origin header should be added to a response from CDN regardless of response code.
    Enabled bool

    Controls the option state.

    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    Values []string

    Value of the Access-Control-Allow-Origin header.

    Possible values:

    • Adds * as the Access-Control-Allow-Origin header value - Content will be uploaded for requests from any domain. "value": ["*"]
    • Adds "$http_origin" as the Access-Control-Allow-Origin header value if the origin matches one of the listed domains - Content will be uploaded only for requests from the domains specified in the field. "value": ["domain.com", "second.dom.com"]
    • Adds "$http_origin" as the Access-Control-Allow-Origin header value - Content will be uploaded for requests from any domain, and the domain from which the request was sent will be added to the "Access-Control-Allow-Origin" header in the response. "value": ["$http_origin"]
    always Boolean
    Defines whether the Access-Control-Allow-Origin header should be added to a response from CDN regardless of response code.
    enabled Boolean

    Controls the option state.

    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    values List<String>

    Value of the Access-Control-Allow-Origin header.

    Possible values:

    • Adds * as the Access-Control-Allow-Origin header value - Content will be uploaded for requests from any domain. "value": ["*"]
    • Adds "$http_origin" as the Access-Control-Allow-Origin header value if the origin matches one of the listed domains - Content will be uploaded only for requests from the domains specified in the field. "value": ["domain.com", "second.dom.com"]
    • Adds "$http_origin" as the Access-Control-Allow-Origin header value - Content will be uploaded for requests from any domain, and the domain from which the request was sent will be added to the "Access-Control-Allow-Origin" header in the response. "value": ["$http_origin"]
    always boolean
    Defines whether the Access-Control-Allow-Origin header should be added to a response from CDN regardless of response code.
    enabled boolean

    Controls the option state.

    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    values string[]

    Value of the Access-Control-Allow-Origin header.

    Possible values:

    • Adds * as the Access-Control-Allow-Origin header value - Content will be uploaded for requests from any domain. "value": ["*"]
    • Adds "$http_origin" as the Access-Control-Allow-Origin header value if the origin matches one of the listed domains - Content will be uploaded only for requests from the domains specified in the field. "value": ["domain.com", "second.dom.com"]
    • Adds "$http_origin" as the Access-Control-Allow-Origin header value - Content will be uploaded for requests from any domain, and the domain from which the request was sent will be added to the "Access-Control-Allow-Origin" header in the response. "value": ["$http_origin"]
    always bool
    Defines whether the Access-Control-Allow-Origin header should be added to a response from CDN regardless of response code.
    enabled bool

    Controls the option state.

    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    values Sequence[str]

    Value of the Access-Control-Allow-Origin header.

    Possible values:

    • Adds * as the Access-Control-Allow-Origin header value - Content will be uploaded for requests from any domain. "value": ["*"]
    • Adds "$http_origin" as the Access-Control-Allow-Origin header value if the origin matches one of the listed domains - Content will be uploaded only for requests from the domains specified in the field. "value": ["domain.com", "second.dom.com"]
    • Adds "$http_origin" as the Access-Control-Allow-Origin header value - Content will be uploaded for requests from any domain, and the domain from which the request was sent will be added to the "Access-Control-Allow-Origin" header in the response. "value": ["$http_origin"]
    always Boolean
    Defines whether the Access-Control-Allow-Origin header should be added to a response from CDN regardless of response code.
    enabled Boolean

    Controls the option state.

    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    values List<String>

    Value of the Access-Control-Allow-Origin header.

    Possible values:

    • Adds * as the Access-Control-Allow-Origin header value - Content will be uploaded for requests from any domain. "value": ["*"]
    • Adds "$http_origin" as the Access-Control-Allow-Origin header value if the origin matches one of the listed domains - Content will be uploaded only for requests from the domains specified in the field. "value": ["domain.com", "second.dom.com"]
    • Adds "$http_origin" as the Access-Control-Allow-Origin header value - Content will be uploaded for requests from any domain, and the domain from which the request was sent will be added to the "Access-Control-Allow-Origin" header in the response. "value": ["$http_origin"]

    GetCdnResourceRuleOptionsCountryAcl

    Enabled bool
    Controls the option state.
    ExceptedValues List<string>

    List of countries according to ISO-3166-1.

    The meaning of the parameter depends on policy_type value:

    • allow - List of countries for which access is prohibited.
    • deny - List of countries for which access is allowed.
    PolicyType string

    Defines the type of CDN resource access policy.

    Possible values:

    • allow - Access is allowed for all the countries except for those specified in excepted_values field.
    • deny - Access is denied for all the countries except for those specified in excepted_values field. Available values: "allow", "deny".
    Enabled bool
    Controls the option state.
    ExceptedValues []string

    List of countries according to ISO-3166-1.

    The meaning of the parameter depends on policy_type value:

    • allow - List of countries for which access is prohibited.
    • deny - List of countries for which access is allowed.
    PolicyType string

    Defines the type of CDN resource access policy.

    Possible values:

    • allow - Access is allowed for all the countries except for those specified in excepted_values field.
    • deny - Access is denied for all the countries except for those specified in excepted_values field. Available values: "allow", "deny".
    enabled Boolean
    Controls the option state.
    exceptedValues List<String>

    List of countries according to ISO-3166-1.

    The meaning of the parameter depends on policy_type value:

    • allow - List of countries for which access is prohibited.
    • deny - List of countries for which access is allowed.
    policyType String

    Defines the type of CDN resource access policy.

    Possible values:

    • allow - Access is allowed for all the countries except for those specified in excepted_values field.
    • deny - Access is denied for all the countries except for those specified in excepted_values field. Available values: "allow", "deny".
    enabled boolean
    Controls the option state.
    exceptedValues string[]

    List of countries according to ISO-3166-1.

    The meaning of the parameter depends on policy_type value:

    • allow - List of countries for which access is prohibited.
    • deny - List of countries for which access is allowed.
    policyType string

    Defines the type of CDN resource access policy.

    Possible values:

    • allow - Access is allowed for all the countries except for those specified in excepted_values field.
    • deny - Access is denied for all the countries except for those specified in excepted_values field. Available values: "allow", "deny".
    enabled bool
    Controls the option state.
    excepted_values Sequence[str]

    List of countries according to ISO-3166-1.

    The meaning of the parameter depends on policy_type value:

    • allow - List of countries for which access is prohibited.
    • deny - List of countries for which access is allowed.
    policy_type str

    Defines the type of CDN resource access policy.

    Possible values:

    • allow - Access is allowed for all the countries except for those specified in excepted_values field.
    • deny - Access is denied for all the countries except for those specified in excepted_values field. Available values: "allow", "deny".
    enabled Boolean
    Controls the option state.
    exceptedValues List<String>

    List of countries according to ISO-3166-1.

    The meaning of the parameter depends on policy_type value:

    • allow - List of countries for which access is prohibited.
    • deny - List of countries for which access is allowed.
    policyType String

    Defines the type of CDN resource access policy.

    Possible values:

    • allow - Access is allowed for all the countries except for those specified in excepted_values field.
    • deny - Access is denied for all the countries except for those specified in excepted_values field. Available values: "allow", "deny".

    GetCdnResourceRuleOptionsDisableCache

    Enabled bool
    Controls the option state.
    Value bool
    Possible values:

    • true - content caching is disabled.
    • false - content caching is enabled.
    Enabled bool
    Controls the option state.
    Value bool
    Possible values:

    • true - content caching is disabled.
    • false - content caching is enabled.
    enabled Boolean
    Controls the option state.
    value Boolean
    Possible values:

    • true - content caching is disabled.
    • false - content caching is enabled.
    enabled boolean
    Controls the option state.
    value boolean
    Possible values:

    • true - content caching is disabled.
    • false - content caching is enabled.
    enabled bool
    Controls the option state.
    value bool
    Possible values:

    • true - content caching is disabled.
    • false - content caching is enabled.
    enabled Boolean
    Controls the option state.
    value Boolean
    Possible values:

    • true - content caching is disabled.
    • false - content caching is enabled.

    GetCdnResourceRuleOptionsDisableProxyForceRanges

    Enabled bool
    Controls the option state.
    Value bool
    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    Enabled bool
    Controls the option state.
    Value bool
    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    enabled Boolean
    Controls the option state.
    value Boolean
    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    enabled boolean
    Controls the option state.
    value boolean
    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    enabled bool
    Controls the option state.
    value bool
    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    enabled Boolean
    Controls the option state.
    value Boolean
    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.

    GetCdnResourceRuleOptionsEdgeCacheSettings

    CustomValues Dictionary<string, string>
    A MAP object representing the caching time in seconds for a response with a specific response code.
    Default string

    Enables content caching according to the origin cache settings.

    The value is applied to the following response codes 200, 201, 204, 206, 301, 302, 303, 304, 307, 308, if an origin server does not have caching HTTP headers.

    Responses with other codes will not be cached.

    The maximum duration is any equivalent to 1y.

    Enabled bool

    Controls the option state.

    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    Value string

    Caching time.

    The value is applied to the following response codes: 200, 206, 301, 302. Responses with codes 4xx, 5xx will not be cached.

    Use 0s to disable caching.

    The maximum duration is any equivalent to 1y.

    CustomValues map[string]string
    A MAP object representing the caching time in seconds for a response with a specific response code.
    Default string

    Enables content caching according to the origin cache settings.

    The value is applied to the following response codes 200, 201, 204, 206, 301, 302, 303, 304, 307, 308, if an origin server does not have caching HTTP headers.

    Responses with other codes will not be cached.

    The maximum duration is any equivalent to 1y.

    Enabled bool

    Controls the option state.

    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    Value string

    Caching time.

    The value is applied to the following response codes: 200, 206, 301, 302. Responses with codes 4xx, 5xx will not be cached.

    Use 0s to disable caching.

    The maximum duration is any equivalent to 1y.

    customValues Map<String,String>
    A MAP object representing the caching time in seconds for a response with a specific response code.
    default_ String

    Enables content caching according to the origin cache settings.

    The value is applied to the following response codes 200, 201, 204, 206, 301, 302, 303, 304, 307, 308, if an origin server does not have caching HTTP headers.

    Responses with other codes will not be cached.

    The maximum duration is any equivalent to 1y.

    enabled Boolean

    Controls the option state.

    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    value String

    Caching time.

    The value is applied to the following response codes: 200, 206, 301, 302. Responses with codes 4xx, 5xx will not be cached.

    Use 0s to disable caching.

    The maximum duration is any equivalent to 1y.

    customValues {[key: string]: string}
    A MAP object representing the caching time in seconds for a response with a specific response code.
    default string

    Enables content caching according to the origin cache settings.

    The value is applied to the following response codes 200, 201, 204, 206, 301, 302, 303, 304, 307, 308, if an origin server does not have caching HTTP headers.

    Responses with other codes will not be cached.

    The maximum duration is any equivalent to 1y.

    enabled boolean

    Controls the option state.

    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    value string

    Caching time.

    The value is applied to the following response codes: 200, 206, 301, 302. Responses with codes 4xx, 5xx will not be cached.

    Use 0s to disable caching.

    The maximum duration is any equivalent to 1y.

    custom_values Mapping[str, str]
    A MAP object representing the caching time in seconds for a response with a specific response code.
    default str

    Enables content caching according to the origin cache settings.

    The value is applied to the following response codes 200, 201, 204, 206, 301, 302, 303, 304, 307, 308, if an origin server does not have caching HTTP headers.

    Responses with other codes will not be cached.

    The maximum duration is any equivalent to 1y.

    enabled bool

    Controls the option state.

    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    value str

    Caching time.

    The value is applied to the following response codes: 200, 206, 301, 302. Responses with codes 4xx, 5xx will not be cached.

    Use 0s to disable caching.

    The maximum duration is any equivalent to 1y.

    customValues Map<String>
    A MAP object representing the caching time in seconds for a response with a specific response code.
    default String

    Enables content caching according to the origin cache settings.

    The value is applied to the following response codes 200, 201, 204, 206, 301, 302, 303, 304, 307, 308, if an origin server does not have caching HTTP headers.

    Responses with other codes will not be cached.

    The maximum duration is any equivalent to 1y.

    enabled Boolean

    Controls the option state.

    Possible values:

    • true - Option is enabled.
    • false - Option is disabled.
    value String

    Caching time.

    The value is applied to the following response codes: 200, 206, 301, 302. Responses with codes 4xx, 5xx will not be cached.

    Use 0s to disable caching.

    The maximum duration is any equivalent to 1y.

    GetCdnResourceRuleOptionsFastedge

    Enabled bool
    Controls the option state.
    OnRequestBody GetCdnResourceRuleOptionsFastedgeOnRequestBody
    Allows to configure FastEdge application that will be called to handle request body as soon as CDN receives incoming HTTP request.
    OnRequestHeaders GetCdnResourceRuleOptionsFastedgeOnRequestHeaders
    Allows to configure FastEdge application that will be called to handle request headers as soon as CDN receives incoming HTTP request, before cache.
    OnResponseBody GetCdnResourceRuleOptionsFastedgeOnResponseBody
    Allows to configure FastEdge application that will be called to handle response body before CDN sends the HTTP response.
    OnResponseHeaders GetCdnResourceRuleOptionsFastedgeOnResponseHeaders
    Allows to configure FastEdge application that will be called to handle response headers before CDN sends the HTTP response.
    Enabled bool
    Controls the option state.
    OnRequestBody GetCdnResourceRuleOptionsFastedgeOnRequestBody
    Allows to configure FastEdge application that will be called to handle request body as soon as CDN receives incoming HTTP request.
    OnRequestHeaders GetCdnResourceRuleOptionsFastedgeOnRequestHeaders
    Allows to configure FastEdge application that will be called to handle request headers as soon as CDN receives incoming HTTP request, before cache.
    OnResponseBody GetCdnResourceRuleOptionsFastedgeOnResponseBody
    Allows to configure FastEdge application that will be called to handle response body before CDN sends the HTTP response.
    OnResponseHeaders GetCdnResourceRuleOptionsFastedgeOnResponseHeaders
    Allows to configure FastEdge application that will be called to handle response headers before CDN sends the HTTP response.
    enabled Boolean
    Controls the option state.
    onRequestBody GetCdnResourceRuleOptionsFastedgeOnRequestBody
    Allows to configure FastEdge application that will be called to handle request body as soon as CDN receives incoming HTTP request.
    onRequestHeaders GetCdnResourceRuleOptionsFastedgeOnRequestHeaders
    Allows to configure FastEdge application that will be called to handle request headers as soon as CDN receives incoming HTTP request, before cache.
    onResponseBody GetCdnResourceRuleOptionsFastedgeOnResponseBody
    Allows to configure FastEdge application that will be called to handle response body before CDN sends the HTTP response.
    onResponseHeaders GetCdnResourceRuleOptionsFastedgeOnResponseHeaders
    Allows to configure FastEdge application that will be called to handle response headers before CDN sends the HTTP response.
    enabled boolean
    Controls the option state.
    onRequestBody GetCdnResourceRuleOptionsFastedgeOnRequestBody
    Allows to configure FastEdge application that will be called to handle request body as soon as CDN receives incoming HTTP request.
    onRequestHeaders GetCdnResourceRuleOptionsFastedgeOnRequestHeaders
    Allows to configure FastEdge application that will be called to handle request headers as soon as CDN receives incoming HTTP request, before cache.
    onResponseBody GetCdnResourceRuleOptionsFastedgeOnResponseBody
    Allows to configure FastEdge application that will be called to handle response body before CDN sends the HTTP response.
    onResponseHeaders GetCdnResourceRuleOptionsFastedgeOnResponseHeaders
    Allows to configure FastEdge application that will be called to handle response headers before CDN sends the HTTP response.
    enabled bool
    Controls the option state.
    on_request_body GetCdnResourceRuleOptionsFastedgeOnRequestBody
    Allows to configure FastEdge application that will be called to handle request body as soon as CDN receives incoming HTTP request.
    on_request_headers GetCdnResourceRuleOptionsFastedgeOnRequestHeaders
    Allows to configure FastEdge application that will be called to handle request headers as soon as CDN receives incoming HTTP request, before cache.
    on_response_body GetCdnResourceRuleOptionsFastedgeOnResponseBody
    Allows to configure FastEdge application that will be called to handle response body before CDN sends the HTTP response.
    on_response_headers GetCdnResourceRuleOptionsFastedgeOnResponseHeaders
    Allows to configure FastEdge application that will be called to handle response headers before CDN sends the HTTP response.
    enabled Boolean
    Controls the option state.
    onRequestBody Property Map
    Allows to configure FastEdge application that will be called to handle request body as soon as CDN receives incoming HTTP request.
    onRequestHeaders Property Map
[...]
